Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

TextMate support for Thrift

branch: master

Use version 1.8 of ruby for bundle items

10.7 and 10.8 only include ruby 1.8, so all bundle items have been written to work with that. Optionally supporting ruby 1.9 and 2.0 is problematic as these versions are not fully backwards compatible.

#ignore
latest commit 9e727705a9
Michael Sheets infininight authored July 27, 2013
Octocat-spinner-32 Commands Use version 1.8 of ruby for bundle items July 27, 2013
Octocat-spinner-32 Macros Use version 1.8 of ruby for bundle items July 27, 2013
Octocat-spinner-32 Preferences Move folding settings. November 17, 2011
Octocat-spinner-32 Snippets Thrift: fix the service snippet to remove the space before extends wh… July 03, 2008
Octocat-spinner-32 Syntaxes Add syntax pattern for union definition June 19, 2013
Octocat-spinner-32 README.mdown Add readme. November 17, 2011
Octocat-spinner-32 info.plist Thrift: Add preferences for the symbol list July 01, 2008
README.mdown

Installation

You can install this bundle in TextMate by opening the preferences and going to the bundles tab. After installation it will be automatically updated for you.

General

License

If not otherwise specified (see below), files in this repository fall under the following license:

Permission to copy, use, modify, sell and distribute this
software is granted. This software is provided "as is" without
express or implied warranty, and with no claim as to its
suitability for any purpose.

An exception is made for files in readable text which contain their own license information, or files where an accompanying file exists (in the same directory) with a “-license” suffix added to the base-name name of the original file, and an extension of txt, html, or similar. For example “tidy” is accompanied by “tidy-license.txt”.

Something went wrong with that request. Please try again.